<div class="saved-searches">
    <div class="saved-searches__section _search">
        <md-input-container class="saved-searches__search-container _small _with-icon _without-animation">
            <label class="saved-searches__search-label placeholder-label">Search items</label>
            <input type="text"
                class="saved-searches__search-input"
                ng-model="$ctrl.searchesFilterQuery"
                ng-model-options="{debounce: $ctrl.debounceDelay}"
                aria-label="Filter search items"
                aria-describedby="basic-addon2">
            <i class="runs-filter__search-icon material-icons">
                search
            </i>
        </md-input-container>
        <md-button class="saved-searches__close md-icon-button _default-md-style"
            ng-click="$ctrl.onClose()">
            <md-icon class="saved-searches__close-icon" aria-label="Close sidenav">close</md-icon>
        </md-button>
    </div>
    <div class="saved-searches__section _list">
        <div class="saved-searches__list">
            <div class="saved-searches__list-header">
                <div class="saved-searches__list-row">
                    <div class="saved-searches__list-col _star"></div>
                    <div class="saved-searches__list-col _name">Filter name</div>
                    <div class="saved-searches__list-col _owner">Owner</div>
                    <div class="saved-searches__list-col _menu"></div>
                </div>
            </div>
            <div class="saved-searches__list-body">
                <div class="saved-searches__list-row _create" ng-if="$ctrl.paramsToSave">
                    <div class="saved-searches__list-col _star">
                        <md-button class="saved-searches__clear md-icon-button _default-md-style"
                            ng-click="$ctrl.onSaveClear()">
                            <md-icon class="saved-searches__clear-icon" aria-label="Close sidenav">close</md-icon>
                        </md-button>
                    </div>
                    <div class="saved-searches__list-col _name">
                        <md-input-container class="saved-searches__item-input-container _small _without-animation">
                            <label class="saved-searches__item-input-label placeholder-label">Enter Name</label>
                            <input type="text"
                                required
                                md-sidenav-focus=""
                                class="saved-searches__item-input"
                                ng-model="$ctrl.searchTemplate.name"
                                md-sidenav-focus=""
                                aria-label="Set filter name"
                                aria-describedby="basic-addon2">
                        </md-input-container>
                    </div>
                    <div class="saved-searches__list-col _owner">
                        <div class="saved-searches__item-owner">Me</div>
                    </div>
                    <div class="saved-searches__list-col _actions">
                        <md-button class="md-raised md-primary _small"
                            ng-click="$ctrl.saveSearch()"
                            ng-disabled="$ctrl.isSearchSaving || !$ctrl.searchTemplate.name">Save</md-button>
                    </div>
                </div>
                <div class="saved-searches__list-row _empty" ng-if="!$ctrl.searchesList.length">
                    <div class="saved-searches__list-col">No saved filters yet</div>
                </div>
                <div class="saved-searches__list-row" ng-repeat="savedSearch in $ctrl.searchesList | filter:{name: $ctrl.searchesFilterQuery}">
                    <div class="saved-searches__list-col _star">
                        <md-button class="saved-searches__favorite md-icon-button _default-md-style"
                            ng-click="$ctrl.onToggleFavoriteStatus(savedSearch)">
                            <md-icon class="saved-searches__favorite-icon _star _filled no-animate"
                                ng-if="savedSearch.isFavorite">star</md-icon>
                            <md-icon class="saved-searches__favorite-icon _star no-animate"
                                ng-if="!savedSearch.isFavorite">star_border</md-icon>
                        </md-button>
                    </div>
                    <div class="saved-searches__list-col _name">
                        <div class="saved-searches__item-info"
                            ng-mouseenter="$ctrl.toggleInfoPopup($event, savedSearch, true)"
                            ng-mouseleave="$ctrl.toggleInfoPopup($event, savedSearch, false)">
                            <info-popup info-obj="savedSearch.items" ng-if="savedSearch.isInfoVisible"></info-popup>
                            <md-icon class="saved-searches__item-icon _info">info_outline</md-icon>
                        </div>
                        <div class="saved-searches__item-name _small"
                            ng-class="{ _active: savedSearch.isActive }"
                            ng-click="$ctrl.applySavedSearch(savedSearch)">
                            {{savedSearch.name}}
                        </div>
                    </div>
                    <div class="saved-searches__list-col _owner">
                        <div class="saved-searches__item-owner">{{savedSearch.owner}}</div>
                    </div>
                    <div class="saved-searches__list-col _menu">
                        <md-menu class="saved-searches__item-menu"
                            ng-if="$ctrl.canDeleteItem(savedSearch) || $ctrl.canChangePrivacy(savedSearch)">
                            <md-button aria-label="Saved filter settings"
                                class="md-icon-button"
                                ng-click="$mdMenu.open()">
                                <md-icon class="material-icons">more_vert</md-icon>
                            </md-button>
                            <md-menu-content width="2" class="fixed-md-menu-content">
                                <md-menu-item ng-if="$ctrl.canChangePrivacy(savedSearch)">
                                    <md-button name="open" data-ng-click="$ctrl.changeSearchPrivacy(savedSearch)">
                                        {{ savedSearch.isPrivate ? 'Make public' : 'Make private'}}
                                    </md-button>
                                </md-menu-item>
                                <md-divider ng-if="$ctrl.canDeleteItem(savedSearch)"></md-divider>
                                <md-menu-item ng-if="$ctrl.canDeleteItem(savedSearch)">
                                    <md-button name="deleteSavedSearch"
                                        class="_red"
                                        ng-click="$ctrl.deleteSavedSearch(savedSearch)">
                                        Delete
                                    </md-button>
                                </md-menu-item>
                            </md-menu-content>
                        </md-menu>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
